#
# spec file for package procmail (Version 3.15.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         procmail
URL:          http://www.procmail.org/
License:      GPL, Artistic License
Group:        Productivity/Networking/Email/Clients
Autoreqprov:  on
Version:      3.15.1
Release:      551
Summary:      A program for local e-mail delivery
Source:       procmail-%{version}.tar.gz
Patch0:       procmail-%{version}-maildir.patch
Patch1:       procmail-%{version}.dif
Patch2:       procmail-cflags.dif
Patch4:       procmail-3.22-owl-truncate.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Sendmail calls procmail to deliver email into a local folder. Procmail
can be configured to store e-mail in different folders.



Authors:
--------
    Stephen R. van den Berg <srb@cuci.nl>
    Philip Guenther <guenther@sendmail.com>

%prep
%setup
%patch0 -b .maildir
%patch1
%patch2
%patch4

%build
    make XCFLAGS=-fno-strict-aliasing MANDIR=%{_mandir}

%install
    rm -rf $RPM_BUILD_ROOT
    mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5} $RPM_BUILD_ROOT/usr/bin
    make MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT/usr/bin install

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ FEATURES README examples
/usr/bin/formail
/usr/bin/lockfile
/usr/bin/mailstat
/usr/bin/procmail
%{_mandir}/man1/formail.1.gz
%{_mandir}/man1/lockfile.1.gz
%{_mandir}/man1/procmail.1.gz
%{_mandir}/man1/mailstat.1.gz
%{_mandir}/man5/procmailex.5.gz
%{_mandir}/man5/procmailrc.5.gz
%{_mandir}/man5/procmailsc.5.gz

%changelog -n procmail
* Fri Jan 13 2006 - werner@suse.de
- Fix the last bug fix to re-enable biff/comsat (bug #135883)
* Mon Sep 01 2003 - pthomas@suse.de
- Pass -fno-strict-aliasing to gcc, as regexp.c uses type punning
  and thus could be miscompiled.
* Wed May 28 2003 - coolo@suse.de
- use BuildRoot
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Wed Jan 22 2003 - mmj@suse.de
- Enabled locking with fcntl as well
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Jan 11 2001 - werner@suse.de
- Update to 3.15.1 due security:
  * A race to create the mailspool would bounce one of the
  messages due to an internal error
  * LC_ in KEEPENV would preserve only the first LC_foo variable
  * Strip runtime linker variables (LD_*) from environment on
  all platforms
  * Drop duplicate and malformed environment entries
* Tue Jan 09 2001 - werner@suse.de
- Update to 3.15 due to security issue
* Thu Nov 23 2000 - werner@suse.de
- Update to 3.14
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Dec 06 1999 - werner@suse.de
- Fix default PATH
* Fri Oct 01 1999 - werner@suse.de
- New version 3.13.1
- Add procmail-maildir.patch (supporting of maildirs with ending '/')
- Add procmail-locking.patch (no locking for directories required)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 17 1998 - werner@suse.de
- Use mktemp
* Thu Jul 16 1998 - werner@suse.de
- fix for mailstat script
* Mon Jul 07 1997 - florian@suse.de
- update to version 3.11-pre7
- add docu files in /usr/doc/packages
* Thu Jan 02 1997 - florian@suse.de
- Umstieg auf non-sgid-mail spool-Verzeichnis.
